import { Checkbox } from "@/components/ui/checkbox";
import { CellContext, Column, ColumnDef, ColumnMeta, Header, HeaderContext, RowSelectionTableState, Table, TableState } from "@tanstack/react-table";
import { DataTable, DataTableProps } from "./data-table";

export const selectCol = {
  id: "select",
  header: (props: HeaderContext<DataTable, string>) => {
    return (
      <Checkbox
        checked={props.table.getIsAllRowsSelected()}
        onCheckedChange={props.table.toggleAllRowsSelected}
      />

    )
  },

  cell: (props: CellContext<DataTable, string>) => {

    return (
      <Checkbox
        checked={props.row.getIsSelected()}
        onCheckedChange={props.row.toggleSelected}
      />
    )
  }
}

